Jobs API
Get job trigger information
Retrieve the authenticated trigger URL and usage instructions for a job.
GET
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
id*stringJob ID
Format
uuidTrigger information
application/json- response
success?booleanjob?triggerUrl?stringdocumentation?curl -X GET 'https://demo.supercheck.dev/api/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/trigger'Example Response
{ "success": true, "job": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "pending" }, "triggerUrl": "string", "documentation": { "method": "string", "headers": { "property1": "string", "property2": "string" }, "description": "string", "example": "string", "notes": [ "string" ] }}